!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_190) = -3d0*ca**3d0*cima*l2*vevs + 3d0*ca**2d0*cima*l3*sa*vev  &
                        - 3d0*ca*cima*l3*sa**2d0*vevs + 3d0*cima*l1*sa**3d0*vev
      coupl(nGC_199) = -sqrt(2d0)*ca*cima*yc/2d0
      coupl(nGC_198) = sqrt(2d0)*yc/2d0
      coupl(nGC_609) = coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_513) = -cima/(2d0*cMW)
      coupl(nGC_517) = 1d0/(2d0*cMZ)
      coupl(nGC_106) = -ee**2d0/sw
      coupl(nGC_1139) = cima*ee**2d0*vev/sw
      coupl(nGC_1138) = -cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_1131) = ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_1130) = cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1133) = -cima*ee**2d0*vev/sw
      coupl(nGC_1132) = cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_1134) = -cima*ee**2d0/(2d0*sw)
      coupl(nGC_1005) = -sqrt(2d0)/2d0
      coupl(nGC_1004) = cima*ee**2d0/sw**2d0
      coupl(nGC_1007) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1006) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_1000) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_1002) = -sqrt(2d0)/2d0
      coupl(nGC_1009) = -2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_1008) = 2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_17) = -2d0*gs
      coupl(nGC_16) = ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_15) = -ca*cima*ee**2d0/(2d0*cw)
      coupl(nGC_14) = ee**2d0/(2d0*cw)
      coupl(nGC_13) = -ee**2d0/(2d0*cw)
      coupl(nGC_12) = ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_11) = -ca*ee**2d0/(4d0*cw**2d0)
      coupl(nGC_10) = 2d0*cima*ee**2d0
      coupl(nGC_19) = cima*gs
      coupl(nGC_18) = -gs
      coupl(nGC_999) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_998) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_995) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_994) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
      coupl(nGC_993) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
      coupl(nGC_527) = -2d0*coupl(nGC_97)
      coupl(nGC_1124) = cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_1125) = -cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_1122) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1123) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_555) = -coupl(nGC_10)
      coupl(nGC_859) = ca*cima*ee**2d0/(2d0*sw**2d0)
      coupl(nGC_856) = -ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_854) = cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_855) = -cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_852) = -ca**2d0*cima
      coupl(nGC_853) = -cima*sa**2d0
      coupl(nGC_851) = 2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_1210) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_557) = -coupl(nGC_222)
      coupl(nGC_553) = coupl(nGC_10)/2d0
      coupl(nGC_887) = -3d0*ca**2d0*cima*sa**2d0
      coupl(nGC_1153) = cima*ee**2d0/sw**3d0
      coupl(nGC_1154) = -cima*ee**2d0/sw**2d0
      coupl(nGC_MW_GF) = cMW*cima
      coupl(nGC_845) = ca*cima*sa
      coupl(nGC_844) = cima*(ca - sa)*(ca + sa)*(l1 - l3)
      coupl(nGC_846) = -ca*cima*sa
      coupl(nGC_841) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_843) = -ca**2d0*cima
      coupl(nGC_842) = -cima*sa**2d0
      coupl(nGC_543) = -coupl(nGC_21)
      coupl(nGC_1207) = -cima*sa*vevs
      coupl(nGC_1206) = -ca*cima*vev
      coupl(nGC_1205) = cima*(-ca*l3*vevs + l1*sa*vev)
      coupl(nGC_1204) = -cima*l3*sa
      coupl(nGC_1203) = -ca*cima*l1
      coupl(nGC_1202) = sqrt(2d0)/2d0
      coupl(nGC_1209) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1208) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_MMW_GF) = -cMW*cima
      coupl(nGC_547) = -coupl(nGC_98)
      coupl(nGC_383) = sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_381) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_387) = cima*gs
      coupl(nGC_MZ_GF) = cMZ
      coupl(nGC_1140) = cima*ee**2d0/(2d0*sw)
      coupl(nGC_1141) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1142) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_1146) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_1147) = sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_1148) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1149) = sqrt(2d0)*cima*sa*ydo/2d0
      coupl(nGC_126) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_127) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(2d0*cw)
      coupl(nGC_124) = cima*ee*sw/cw
      coupl(nGC_125) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
      coupl(nGC_122) = cima*ee*sw/(3d0*cw)
      coupl(nGC_123) = -2d0*cima*ee*sw/(3d0*cw)
      coupl(nGC_120) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_121) = cima*ee**2d0*sa/sw
      coupl(nGC_128) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_129) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
      coupl(nGC_577) = coupl(nGC_17)/2d0
      coupl(nGC_870) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_871) = sqrt(2d0)*ca*cima*ydo/2d0
      coupl(nGC_872) = ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_873) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_874) = cima*ee*sa/(2d0*sw)
      coupl(nGC_875) = -ca*cima*ee/(2d0*sw**2d0)
      coupl(nGC_876) = ca*cima*ee/(2d0*sw)
      coupl(nGC_877) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_3) = -cima*ee
      coupl(nGC_2) = -2d0*cima*ee/3d0
      coupl(nGC_1216) = cima*ee**2d0*sa**2d0/sw**2d0
      coupl(nGC_1217) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_7) = -cima*ee**2d0
      coupl(nGC_1211) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1212) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_4) = cima*ee
      coupl(nGC_9) = -2d0*cima*ee**2d0
      coupl(nGC_8) = cima*ee**2d0
      coupl(nGC_1218) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1219) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1126) = -cima*ee**2d0*sa/(2d0*sw**2d0)
      coupl(nGC_1127) = -ca*cima*ee**2d0*vev/(2d0*sw**2d0)
      coupl(nGC_1214) = -2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1215) = -cima*ee**2d0*sa**2d0/sw**3d0
      coupl(nGC_1175) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_1081) = -ca*cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1177) = -ca*cima*vevs
      coupl(nGC_1176) = cima*sa*vev
      coupl(nGC_1171) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
      coupl(nGC_1) = cima*ee/3d0
      coupl(nGC_1173) = cima*l1*sa
      coupl(nGC_1172) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
      coupl(nGC_6) = 2d0*cima*ee
      coupl(nGC_5) = -2d0*cima*ee
      coupl(nGC_1213) = 2d0*cima*ee**2d0/sw**3d0
      coupl(nGC_135) = -cw*ee*sa/(2d0*sw) - ee*sa*sw/(2d0*cw)
      coupl(nGC_134) = -cima*cw*ee**2d0/sw + cima*ee**2d0*sw/cw
      coupl(nGC_137) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_136) = cw*ee*sa/(2d0*sw) + ee*sa*sw/(2d0*cw)
      coupl(nGC_131) = ca*cw*ee/(2d0*sw) + ca*ee*sw/(2d0*cw)
      coupl(nGC_130) = -ca*cw*ee/(2d0*sw) - ca*ee*sw/(2d0*cw)
      coupl(nGC_133) = cima*cw*ee**2d0/sw - cima*ee**2d0*sw/cw
      coupl(nGC_132) = cima*cw*ee**2d0/(2d0*sw) - cima*ee**2d0*sw/(2d0*cw)
      coupl(nGC_139) = -cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0 -    &
                       cima*ee**2d0*sw**2d0/(2d0*cw**2d0)
      coupl(nGC_138) = -cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cima*ee**2d0/2d0  &
                        - cima*ee**2d0*sw**2d0/(4d0*cw**2d0)
      coupl(nGC_867) = -3d0*ca*cima*sa**3d0
      coupl(nGC_866) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - 3d0*ca**2d0*l1*sa** &
                       2d0 - 3d0*ca**2d0*l2*sa**2d0 + 6d0*ca**2d0*l3*sa**2d0 + &
                       l2*sa**4d0 - l3*sa**4d0)
      coupl(nGC_865) = -6d0*ca**2d0*cima*sa**2d0
      coupl(nGC_864) = -3d0*ca**4d0*cima
      coupl(nGC_863) = -3d0*cima*sa**4d0
      coupl(nGC_862) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - l2*sa**2d0 + &
                       l3*sa**2d0)
      coupl(nGC_861) = cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_860) = -ca*cima*ee**2d0/sw
      coupl(nGC_869) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
      coupl(nGC_868) = 3d0*ca**3d0*cima*sa
      coupl(nGC_1196) = cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                        2d0*sw**2d0)
      coupl(nGC_1195) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1194) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1193) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1192) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1221) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*&
                        sw**2d0)
      coupl(nGC_1220) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0*&
                        sw**2d0)
      coupl(nGC_1223) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1222) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_1225) = -ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_1224) = sqrt(2d0)*cima*sa*yc/2d0
      coupl(nGC_1227) = cima*ee**2d0*(ca - sa)*(ca + sa)/(2d0*sw**2d0)
      coupl(nGC_1226) = ca*cima*ee**2d0*sa/sw**2d0
      coupl(nGC_1010) = 2d0*cima*ee**2d0/sw**2d0
      coupl(nGC_1016) = -sqrt(2d0)*ca*cima/2d0
      coupl(nGC_1017) = sqrt(2d0)*cima*sa*yb/2d0
      coupl(nGC_1015) = cima*ee/3d0
      coupl(nGC_1168) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_1169) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_1167) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_100) = -ca*cima*ee/(2d0*sw)
      coupl(nGC_101) = ca*cima*ee/(2d0*sw)
      coupl(nGC_102) = -cima*cw*ee/sw
      coupl(nGC_103) = cima*cw*ee/sw
      coupl(nGC_104) = -2d0*cima*cw*ee/sw
      coupl(nGC_105) = 2d0*cima*cw*ee/sw
      coupl(nGC_107) = -ee**2d0/(2d0*sw)
      coupl(nGC_108) = ee**2d0/(2d0*sw)
      coupl(nGC_109) = ee**2d0/sw
      coupl(nGC_569) = coupl(nGC_104)/2d0
      coupl(nGC_812) = -sqrt(2d0)/2d0
      coupl(nGC_813) = -3d0*cima
      coupl(nGC_810) = ca*cima*ee**2d0/cw
      coupl(nGC_811) = -cima*ee**2d0*sa/(2d0*cw)
      coupl(nGC_916) = cima*ee**2d0/sw
      coupl(nGC_1184) = ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                        2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_1185) = -ca*cima*ee**2d0*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw &
                        **2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_1186) = ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                        sw**2d0)
      coupl(nGC_1187) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                        sw**2d0)
      coupl(nGC_1183) = sqrt(2d0)/2d0
      coupl(nGC_1188) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**&
                        2d0*sw**2d0)
      coupl(nGC_1128) = -cima*ee**2d0*sa*vev/sw**3d0
      coupl(nGC_928) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_929) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_926) = 2d0*cima*cw*ee**2d0/sw**2d0
      coupl(nGC_927) = -4d0*cima*cw*ee**2d0/sw
      coupl(nGC_925) = -2d0*cima*ee**2d0/sw
      coupl(nGC_1239) = ca*cima*ee**2d0*sa/sw**3d0
      coupl(nGC_1234) = -2d0*cima*ee
      coupl(nGC_1235) = cima*ee
      coupl(nGC_1129) = cima*ee**2d0*sa*vev/sw**2d0
      coupl(nGC_611) = coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_613) = -coupl(nGC_20) - coupl(nGC_21)
      coupl(nGC_615) = -coupl(nGC_20) + coupl(nGC_21)
      coupl(nGC_617) = -coupl(nGC_130)
      coupl(nGC_619) = -coupl(nGC_18)
      coupl(nGC_119) = -cima*ee**2d0*sa/(2d0*sw)
      coupl(nGC_118) = cima*ee*sa/(2d0*sw)
      coupl(nGC_117) = -cima*ee*sa/(2d0*sw)
      coupl(nGC_116) = 2d0*cima*cw*ee**2d0/sw
      coupl(nGC_115) = -2d0*cima*cw*ee**2d0/sw
      coupl(nGC_114) = cima*cw*ee**2d0/sw
      coupl(nGC_113) = -cima*cw*ee**2d0/sw
      coupl(nGC_112) = -ca*cima*ee**2d0/sw
      coupl(nGC_111) = ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_110) = -ca*cima*ee**2d0/(2d0*sw)
      coupl(nGC_559) = coupl(nGC_6)/2d0
      coupl(nGC_589) = -coupl(nGC_5)/2d0
      coupl(nGC_585) = -coupl(nGC_218)
      coupl(nGC_587) = -coupl(nGC_194)
      coupl(nGC_581) = -coupl(nGC_226)
      coupl(nGC_583) = -coupl(nGC_136)
      coupl(nGC_567) = -coupl(nGC_117)
      coupl(nGC_561) = -2d0*coupl(nGC_117)
      coupl(nGC_607) = -2d0*coupl(nGC_118)
      coupl(nGC_605) = -2d0*coupl(nGC_135)
      coupl(nGC_603) = -coupl(nGC_100)
      coupl(nGC_529) = -2d0*coupl(nGC_128)
      coupl(nGC_525) = -coupl(nGC_105)/2d0
      coupl(nGC_637) = -2d0*coupl(nGC_136)
      coupl(nGC_635) = -2d0*coupl(nGC_131)
      coupl(nGC_523) = -coupl(nGC_104)/2d0
      coupl(nGC_633) = -2d0*coupl(nGC_130)
      coupl(nGC_521) = -coupl(nGC_118)
      coupl(nGC_631) = -coupl(nGC_101)
      coupl(nGC_565) = -coupl(nGC_103)
      coupl(nGC_563) = -coupl(nGC_128)
      coupl(nGC_599) = -coupl(nGC_202)
      coupl(nGC_593) = -coupl(nGC_6)/2d0
      coupl(nGC_591) = coupl(nGC_105)/2d0
      coupl(nGC_597) = -coupl(nGC_17)/2d0
      coupl(nGC_595) = coupl(nGC_5)/2d0
      coupl(nGC_575) = -coupl(nGC_210)
      coupl(nGC_571) = -coupl(nGC_3)
      coupl(nGC_573) = -2d0*coupl(nGC_98)
      coupl(nGC_579) = -2d0*coupl(nGC_72)
      coupl(nGC_601) = -2d0*coupl(nGC_100)
      coupl(nGC_639) = -2d0*coupl(nGC_4)
      coupl(nGC_621) = -2d0*coupl(nGC_127)
      coupl(nGC_629) = -2d0*coupl(nGC_3)
      coupl(nGC_551) = -coupl(nGC_116)/2d0
      coupl(nGC_549) = -coupl(nGC_198)
      coupl(nGC_541) = -2d0*coupl(nGC_8)
      coupl(nGC_531) = -coupl(nGC_102)
      coupl(nGC_533) = 2d0*coupl(nGC_21)
      coupl(nGC_535) = -coupl(nGC_4)
      coupl(nGC_545) = -2d0*coupl(nGC_21)
      coupl(nGC_537) = -2d0*coupl(nGC_101)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
