!******************************************************************************!
!                                                                              !
!    ctparameter159.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter159.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-02-20 16:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter159
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter159()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten627*coupl(nGC_99)**2d0*(cMW**2d0 - cMZ**2d0)/(  &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten628*coupl(nGC_99)**2d0&
            *(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc* &
            Ten629*coupl(nGC_99)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_96)/(2d0*cMW**2d0) + cima*  &
            Ten1*(-cMW**2d0*coupl(nGC_71) + 4d0*cMW**2d0*coupl(nGC_85) + 2d0*  &
            cMW**2d0*coupl(nGC_86) + cMZ**2d0*coupl(nGC_71) - 4d0*cMZ**2d0*    &
            coupl(nGC_85) - 2d0*cMZ**2d0*coupl(nGC_86))/(2d0*cMW**2d0*(-cMW**  &
            2d0 + cMZ**2d0)) + cima*Ten2*coupl(nGC_82)/(2d0*cMW**2d0) + cima*  &
            Ten3*(-cMW**2d0*coupl(nGC_71) + 2d0*cMW**2d0*coupl(nGC_73) + 2d0*  &
            cMW**2d0*coupl(nGC_74) + cMZ**2d0*coupl(nGC_71) - 2d0*cMZ**2d0*    &
            coupl(nGC_73) - 2d0*cMZ**2d0*coupl(nGC_74))/(cMW**2d0*(-cMW**2d0 + &
            cMZ**2d0)) + Ten620*(-16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4) - cMW&
            **2d0*coupl(nGC_5)**2d0 - cMW**2d0*coupl(nGC_6)**2d0 + 16d0*cMZ**  &
            2d0*coupl(nGC_3)*coupl(nGC_4) + cMZ**2d0*coupl(nGC_5)**2d0 + cMZ** &
            2d0*coupl(nGC_6)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*    &
            Ten621*coupl(nGC_117)*coupl(nGC_118)/cMW**2d0 + 4d0*Ten622*coupl(  &
            nGC_100)*coupl(nGC_101)/cMW**2d0 + 4d0*Ten623*coupl(nGC_99)**2d0*( &
            cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten624&
            *coupl(nGC_99)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 +   &
            cMZ**2d0)) + 4d0*Ten625*coupl(nGC_99)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + Ten626*(-16d0*cMW**2d0*coupl(   &
            nGC_102)*coupl(nGC_103) - cMW**2d0*coupl(nGC_104)**2d0 - cMW**2d0* &
            coupl(nGC_105)**2d0 - 4d0*cMW**2d0*coupl(nGC_98)**2d0 + 16d0*cMZ** &
            2d0*coupl(nGC_102)*coupl(nGC_103) + cMZ**2d0*coupl(nGC_104)**2d0 + &
            cMZ**2d0*coupl(nGC_105)**2d0 + 4d0*cMZ**2d0*coupl(nGC_98)**2d0)/(  &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + Ten630*coupl(nGC_164)**2d0/cMW**&
            2d0 + Ten631*coupl(nGC_162)**2d0/cMW**2d0 + Ten632*coupl(nGC_168)**&
            2d0/cMW**2d0 + Ten633*(-cMW**2d0*coupl(nGC_156)*coupl(nGC_159) -   &
            cMW**2d0*coupl(nGC_172)**2d0 + cMZ**2d0*coupl(nGC_156)*coupl(      &
            nGC_159) + cMZ**2d0*coupl(nGC_172)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ&
            **2d0)) + pi**2d0*(-32d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + &
            32d0*Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_99)**2d0*gw&
            *sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*  &
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMC**2d0*cMHH**2d0*  &
            cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0* &
            cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) + 32d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl&
            (nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**&
            2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMD**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0&
            *sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*&
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*cMZ**&
            4d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-&
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc* &
            cMHH**2d0*cMHL**2d0*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMHH**2d0*cMHL**2d0* &
            cMS**2d0*cMZ**4d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ &
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) - 32d0*Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*    &
            coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0&
            *pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMHH &
            **2d0*cMHL**2d0*cMT**2d0*cMZ**4d0*coupl(nGC_99)**2d0*gw*sw**2d0*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMW**&
            2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL &
            **2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0   &
            )) + 32d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMZ**4d0*coupl(nGC_99)** &
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cME**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0* &
            cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) + 32d0*cME**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(  &
            nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi** &
            2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH**2d0*   &
            cMHL**2d0*cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) + 32d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMZ**4d0&
            *coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH&
            **2d0*cMHL**2d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_99)**2d0*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMHH**2d0*cMHL**2d0*cMTA&
            **2d0*cMZ**4d0*coupl(nGC_99)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_102)* &
            coupl(nGC_103)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi &
            **2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ&
            **4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH**2d0* &
            cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_3)*coupl(nGC_4)*gw*sw**2d0*  &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) - 32d0*cima*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ&
            **2d0*coupl(nGC_74)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH&
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw**3d0*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW&
            **4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi &
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH &
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 16d0*cMHH**2d0*cMHL**2d0*&
            cMW**4d0*cMZ**2d0*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**  &
            2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - &
            64d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_3)*coupl(nGC_4&
            )*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**  &
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cima*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*coupl(nGC_74)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**&
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) - 32d0*cima*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*coupl(     &
            nGC_85)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0&
            )*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0&
            *gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0&
            *cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)) - 64d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw**3d0*sw**2d0*&
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) + 16d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0&
            *gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0&
            *cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**  &
            4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cMHH**2d0*   &
            cMHL**2d0*cMZ**6d0*coupl(nGC_102)*coupl(nGC_103)*gw*sw**2d0*sqrt(- &
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi** &
            2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0)) + 32d0*cima*cMHH**2d0*cMHL**2d0*cMZ**6d0*coupl(  &
            nGC_85)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*  &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0))))/(16d0*pi**2d0) +      &
            dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/ &
            cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0))/(cMW&
            **2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**  &
            2d0)) + cima*coupl(nGC_164)*dtHl_QED1/(cMHL**2d0*cMW**2d0) + cima* &
            coupl(nGC_162)*dtHh_QED1/(cMHH**2d0*cMW**2d0)
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter159
end module ctparameter159
